@import theme

.root
    display: flex
    flex-direction: column
    border-radius: 5px
    height: 100%
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15)

    +remove-margin-padding-title-and-p

    .plan
        flex: 0 1 auto
        padding: 2.5em 1.25em
        box-sizing: border-box

        border-top-left-radius: 5px
        border-top-right-radius: 5px

        background-color: $primaryColor
        color: $foregroundColor

        text-align: center

        h3
            font-family: $bodyFont
            font-size: 1.05em

        h1
            font-family: $bodyFont
            font-weight: 300
            font-size: 2em
            color: $secondaryColor

    .content
        flex: 1 1 auto
        padding: 1.75em
        box-sizing: border-box
        background-color: $foregroundColor

        .description
            display: block

            div
                display: flex
                align-items: center
                font-size: 14px

                > mat-icon
                    font-size: 14px
                    width: 14px
                    height: 14px
                    margin-right: 5px

        strong
            font-weight: 500

        > div
            display: flex
            align-items: center
            font-size: 14px

            > mat-icon
                font-size: 14px
                width: 14px
                height: 14px
                margin-right: 5px

        > div + div
            margin-top: 20px


    .actions
        flex: 0 1 auto
        padding: 1em
        box-sizing: border-box

        border-bottom-left-radius: 5px
        border-bottom-right-radius: 5px

        background-color: #f7f7f7

        > * + *
            margin-left: 10px
